Package Details: lazydocker 0.9-2

Git Clone URL: https://aur.archlinux.org/lazydocker.git (read-only, click to copy)
Package Base: lazydocker
Description: A simple terminal UI for docker and docker-compose, written in Go with the gocui library.
Upstream URL: https://github.com/jesseduffield/lazydocker
Keywords: docker lazydocker
Licenses: MIT
Submitter: mswift
Maintainer: mswift
Last Packager: mswift
Votes: 12
Popularity: 0.62
First Submitted: 2019-06-30 07:43
Last Updated: 2020-06-12 21:11

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

mswift commented on 2020-06-04 19:55

0.9.1 has been tagged in the lazydocker repository, but it's an old tag from March 19 and didn't seem to go through the proper release process. So this package has been updated to 0.9

mswift commented on 2020-05-25 15:05

Thanks for the heads up, caleb. A new version has been pushed that follows the updated guidelines.

caleb commented on 2020-05-25 14:53

There some new Go packaging guidelines out for Arch now, might want to review the wiki. The build arguments you need to pass are a bit simpler now actually, plus you need a couple more options.

mswift commented on 2019-09-09 12:28

Issues with go 1.13 have been resolved in the latest version.

mswift commented on 2019-09-04 15:54

Just as a heads up to users of this package:

There's a current incompatibility with lazydocker's xerrors dependency and go 1.13. I have a pull request to update this dependency on this project but until it is merged builds of this package will fail with go 1.13.

mswift commented on 2019-07-05 17:28

nicoulaj,

Fixed the makedepends, sorry about that!

nicoulaj commented on 2019-07-05 17:19

git is needed for building, can you please add it to makedepends ?

mswift commented on 2019-06-30 22:51

For the moment I've removed the check step from the package's PKGBUILD

nicoulaj commented on 2019-06-30 19:22

Same SEGFAULT here when building using go-pie instead of go.

Go packaging guidelines say: All packages should preferably be built towards go-pie as this enables us to deliver secure binaries, so I guess a lot of users will run into this.

mswift commented on 2019-06-30 17:35

TheEdgeOfRage,

I cannot reproduce on the machines I have available to me. What version of go do you have installed?